# Packmangroup: Libraries
# Packmanpackagename: libstk
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>LibSTK is graphical widget set designed to meet the needs of today's emerging class of embedded media platforms, such as set-top boxes, and vehicular media systems.</p><p>LibSTK abstracts the graphic and event systems, allowing it to be used on any platform with a C++-compliant compiler.</p>
# Packmanpackagedesc_de: <p>LibSTK ist der grafische Widget Satz, der entworfen wurde, um die heutigen Bed&uuml;rfnisse der eingebetteten Systeme und mobiler Multimediasysteme zu erf&uuml;llen.</p><p>LibSTK abstrahiert Grafik und Abfragen, dass sie auf jeder m&ouml;glicher Plattform mit einem C++-Compiler benutzt werd kann.</p>

#
# spec file for package libstk (Version 0.2cvs20041123)
#

Name:           libstk
Summary:        libstk::org the set-top toolkit
Summary(de):    libstk::ord das set-top Toolkit
Version:        0.2cvs20041123
Release:        0.pm.0
Group:          System/Libraries
License:        GPL
URL:            http://www.libstk.org/

Source0:        libstk-0.2cvs20041123.tar.bz2

Patch0:         libstk.diff
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SUSE Linux 9.2 (i586)
Requires:       aalib
Requires:       alsa >= 0.9
Requires:       arts
Requires:       boost >= 1.32
Requires:       DirectFB
Requires:       esound
Requires:       freetype2
Requires:       gpm
Requires:       libgcc
Requires:       libjpeg
Requires:       libpng
Requires:       libxine1
Requires:       ncurses
Requires:       SDL
Requires:       slang
BuildRequires:  aalib-devel
BuildRequires:  alsa-devel >= 0.9
BuildRequires:  arts-devel
BuildRequires:  boost-devel >= 1.32
BuildRequires:  DirectFB
BuildRequires:  esound-devel
BuildRequires:  freetype2-devel
BuildRequires:  gpm
BuildRequires:  libgcc
BuildRequires:  libjpeg
BuildRequires:  libpng-devel
BuildRequires:  libxine1-devel
BuildRequires:  ncurses-devel
BuildRequires:  SDL-devel
BuildRequires:  slang-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Packmandepends: alsa boost libxine1

%description
LibSTK is graphical widget set designed to meet the needs of today's
emerging class of embedded media platforms, such as set-top boxes,
and vehicular media systems.
LibSTK abstracts the graphic and event systems, allowing it to be
used on any platform with a C++-compliant compiler.

%description -l de
LibSTK ist der grafische Widget Satz, der entworfen wurde, um die
heutigen Bedürfnisse der eingebetteten Systeme und mobiler
Multimediasysteme zu erfüllen.
LibSTK abstrahiert Grafik und Abfragen, dass sie auf jeder
möglicher Plattform mit einem C++-Compiler benutzt werd kann.

%package devel
Summary:      Development package for libstk
Summary(de):  Entwicklerpaket zur libstk
Group:        Development/Libraries/C and C++
Requires:     %{name} = %{version}
# Packmandepends: libstk

%description devel
This package contains the header files and documentation
needed to develop applications with libstk.

%description devel -l de
Dieses Paket enthält die Header-Datein und Dokumentationen
die zur Entwicklung von Anwendungen benötigt werden, welche
die libstk verwenden.

%prep
%setup -q -n libstk
%patch0 -p1

%build
if [ ! -f configure ]; then
#   NO_CONFIGURE=1 ./autogen.sh
   export NO_CONFIGURE=1
   set -x
   libtoolize -f
   aclocal
   autoheader
   automake --foreign --add-missing --copy
   autoconf
fi
export CPPFLAGS="-I/usr/include/freetype2"
%configure --enable-sdl --enable-directfb --enable-logging \
%if %suse_version >= 900
           --enable-xine
%elseif
           --disable-directfb --enable-xine
%endif
%__make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd ${RPM_BUILD_ROOT}%{_includedir}
ln -s libstk-0.2.0/libstk .

%post
%run_ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/libstk

%files devel
%defattr(-,root,root)
%{_includedir}/libstk-0.2.0
%{_includedir}/libstk
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Nov 23 2004 - Manfred.Tremmel@iiv.de
- update to current cvs version
- changes for boost 1.32
* Sat Oct 23 2004 - Manfred.Tremmel@iiv.de
- update to current cvs version
* Fri Feb 13 2004 - Manfred.Tremmel@iiv.de
- Initial version
